#ifndef HUB4CONTROLSTARTER_H
#define HUB4CONTROLSTARTER_H

#include <QObject>
#include <QVariant>

class DbusServiceMonitor;
class VeQItem;

/// Monitors the D-Bus for vebus services. Once a vebus service with Hub4 support
/// appears a Hub4Control object will be created.
/// This class was created to prevent creation of a full blown Hub4Control object on systems without
/// Hub4 support.
class Hub4ControlStarter : public QObject
{
	Q_OBJECT
public:
	explicit Hub4ControlStarter(QObject *parent = 0);

	void start();

private slots:
	void onServiceAdded(VeQItem *item);

	void onAcPowerSetpointChanged(VeQItem *item, QVariant value);

private:
	DbusServiceMonitor *mServiceMonitor;
};

#endif // HUB4CONTROLSTARTER_H
