#ifndef MULTI_BRIDGE_H
#define MULTI_BRIDGE_H

#include "dbus_bridge.h"

class Multi;
class MultiPhaseData;
class VeQItem;

/*!
 * Retrieves Multi data from the D-Bus (com.victronenergy.vebus.*) and stores
 * it in a `Multi` object. Changes in the AcPowerSetpoint of the `Multi` object
 * will be sent back to the D-Bus.
 */
class MultiBridge : public DBusBridge
{
	Q_OBJECT
public:
	MultiBridge(Multi *multi, VeQItem *service, QObject *parent = 0);

protected:
	virtual bool toDBus(const QString &path, QVariant &v);

	virtual bool fromDBus(const QString &path, QVariant &v);

private:
	void consumePhase(const QString &phase, MultiPhaseData *phaseData);

	Multi *mMulti;
	VeQItem *mDisableCharge;
	VeQItem *mDisableFeedback;
};

#endif // MULTI_BRIDGE_H
