#ifndef MULTIPHASECONTROL_H
#define MULTIPHASECONTROL_H

#include "control_loop.h"

class GridMeter;
class QTimer;

class MultiPhaseControl: public ControlLoop
{
	Q_OBJECT
protected:
	MultiPhaseControl(SystemCalc *systemCalc, Multi *multi, GridMeter *gridMeter,
					  Settings *settings, QObject *parent = 0);

	virtual void performStep() = 0;

	void adjustSetpoints(const QVector<double> &setpoints);

private slots:
	void onTimer();

	void onL1FromMulti();

	void onL2FromMulti();

	void onL3FromMulti();

	void onTotalPowerFromMulti();

	void onPowerFromMeter(Phase phase);

private:
	void checkStep();

	QTimer *mTimer;
	bool mMultiL1Update;
	bool mMultiL2Update;
	bool mMultiL3Update;
	bool mMultiTotalPowerUpdate;
	bool mMeterUpdate;
};

#endif // MULTIPHASECONTROL_H
