#ifndef PVINVERTER_H
#define PVINVERTER_H

#include <QObject>

class PVInverter: public QObject
{
	Q_OBJECT
public:
	explicit PVInverter(QObject *parent = 0);

	virtual ~PVInverter();

	virtual double power() const = 0;

	virtual double powerLimit() const = 0;

	virtual void setPowerLimit(double p) = 0;

	virtual double powerLimitStepSize() const = 0;

	virtual double minPowerLimit() const = 0;

	virtual double maxPower() const = 0;

signals:
	void powerChanged();

	void powerLimitChanged();

	void powerLimitStepSizeChanged();

	void minPowerLimitChanged();

	void maxPowerChanged();
};

#endif // PVINVERTER_H
