#ifndef SETTINGSCONVERTER_H
#define SETTINGSCONVERTER_H

#include <QObject>
#include <QStringList>

class VeQItem;

class SettingsConverter: public QObject
{
	Q_OBJECT
public:
	SettingsConverter(VeQItem *itemRoot, QObject *parent = 0);

	void start();

signals:
	void finished();

private slots:
	void onHub4ModeFound();

	void onDeviceIdsFound();

	void onServiceTypeFound();

	void onDeviceHub4ModeFound();

private:
	void findNextDevice();

	void setFinished();

	VeQItem *mSettingsRoot;
	VeQItem *mHub4Mode;
	VeQItem *mDeviceIds;
	VeQItem *mServiceType;
	VeQItem *mDeviceHub4Mode;
	bool mConversionNeeded;
	bool mFinished;
	QStringList mDeviceIdsLeft;
};

#endif // SETTINGSCONVERTER_H
