#ifndef VBUSITEMGRIDMETER_H
#define VBUSITEMGRIDMETER_H

#include "grid_meter.h"

class VeQItem;

class VBusItemGridMeter : public GridMeter
{
	Q_OBJECT
public:
	explicit VBusItemGridMeter(VeQItem *service, VeQItem *settings, QObject *parent = 0);

	virtual bool isMultiPhase() const;

	virtual double getTotalPower() const;

	virtual double getPower(Phase p) const;

	VeQItem *service()
	{
		return mService;
	}

private slots:
	void onL1PowerChanged();

	void onL2PowerChanged();

	void onL3PowerChanged();

	void onTotalPowerChanged();

private:
	void updateIsMultiPhase();

	VeQItem *createItem(VeQItem *root, const QString &path, const char *signal);

	static double getDouble(VeQItem *item);

	bool mIsMultiPhase;

	VeQItem *mService;
	VeQItem *mSettings;

	VeQItem *mL1Power;
	VeQItem *mL2Power;
	VeQItem *mL3Power;
	VeQItem *mTotalPower;
};

#endif // VBUSITEMGRIDMETER_H
